# Show workspace

Show an individual workspace.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces/{identifier}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "x7"

  - `project` (string, required)
    Project is the project identifier.
    Example: "51"

  - `identifier` (string, required)
    Identifier is the project identifier.
    Example: "a"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "g5g"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "yqi"

  - `associated_template` (object)
    AssociatedTemplate defines the template details with template_id and version.
    Example: {"template_id":"a4","version":"3j"}

  - `associated_template.template_id` (string)
    Template ID of the template associated to the Workspace.
    Example: "a4"

  - `associated_template.version` (string)
    Version of the template associated to the Workspace.
    Example: "3j"

  - `backend_locked` (boolean)
    Defines if the remote backend is locked or not
    Example: true

  - `budget` (number)
    define the budget for a specific workspace
    Example: 0.96501625

  - `ccm_cost_enabled` (boolean)
    define if CCM cost integration is enabled for this workspace

  - `cost_breakdown_json` (string)
    cost_breakdown_json is the identifier to the breakdown cost file from the current execution that was applied successfully
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `cost_diff_json` (string)
    cost_diff_json is the identifier to the diff cost file between the previous and current successful executions
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `cost_estimation_enabled` (boolean)
    define if cost estimation operations will be performed in this workspace
    Example: true

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 7681800508219966000

  - `default_pipelines` (object)
    List of default pipelines associated with this workspace and any per-workspace overrides.
    Example: {"Et assumenda delectus vero nesciunt odit id.":{"project_pipeline":"Quam vitae nulla.","workspace_pipeline":"Dolor velit quo eaque saepe."},"Qui minima et dolorum illo esse.":{"project_pipeline":"Quam vitae nulla.","workspace_pipeline":"Dolor velit quo eaque saepe."}}

  - `description` (string)
    Description provides long-form text about the resource.
    Example: "this is a more detailed explanation of the resource."

  - `environment_variables` (object, required)
    list of environment variables configured on the workspace.
    Example: {"Cupiditate voluptas quo facere porro.":{"created":6758585511865266000,"key":"tg","updated":2953533946315675600,"value":"Qui quod exercitationem et molestiae.","value_type":"string"},"Sunt nemo modi expedita laudantium voluptas.":{"created":6758585511865266000,"key":"tg","updated":2953533946315675600,"value":"Qui quod exercitationem et molestiae.","value_type":"string"},"Voluptatem officia eos quo dignissimos debitis.":{"created":6758585511865266000,"key":"tg","updated":2953533946315675600,"value":"Qui quod exercitationem et molestiae.","value_type":"string"}}

  - `identifier` (string, required)
    Workspace identifier.
    Example: "4z"

  - `lock` (object)
    workspaceLock holds the details of an active workspace lock. Fields are populated for manual (user-initiated) locks and left empty for automatic (Terraform CLI) locks.
    Example: {"created_at":7499313894044522000,"id":"Voluptas soluta.","locked_by_display_name":"Porro odit omnis quo.","locked_by_principal_id":"Aut doloremque et esse maxime eius at.","locked_by_principal_type":"Non voluptatem in ut.","manual":false,"reason":"Omnis laborum et deleniti."}

  - `lock.created_at` (integer)
    Unix timestamp (milliseconds) when the lock was created.
    Example: 7499313894044522000

  - `lock.id` (string)
    Lock ID.
    Example: "Voluptas soluta."

  - `lock.locked_by_display_name` (string)
    Display name of who locked the workspace.
    Example: "Porro odit omnis quo."

  - `lock.locked_by_principal_id` (string)
    Principal ID who locked the workspace.
    Example: "Aut doloremque et esse maxime eius at."

  - `lock.locked_by_principal_type` (string)
    Type of principal who locked the workspace.
    Example: "Non voluptatem in ut."

  - `lock.manual` (boolean)
    Whether the lock is manual (user-initiated). true = manual lock, false = automatic lock.
    Example: true

  - `lock.reason` (string)
    Reason for the lock.
    Example: "Omnis laborum et deleniti."

  - `modules_json` (string)
    modules_json is the identifier of any modules metadata associated with this workspace
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `name` (string, required)
    Name is the human readable name for the resource.
    Example: "resource name"

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "w5w"

  - `project` (string, required)
    Project is the project identifier.
    Example: "ca"

  - `provider_connector` (string, required)
    Provider Connector is the reference to the connector for the infrastructure provider.
    Example: "Sint et incidunt ut."

  - `provider_connectors` (array)
    define an array of provider connectors that belong to Workspace
    Example: [{"connector_ref":"d7","created":1627590400,"id":2574819312703867400,"terragrunt_provider":true,"type":"azure","updated":1627686800,"workspace_id":3425838825461482000},{"connector_ref":"d7","created":1627590400,"id":2574819312703867400,"terragrunt_provider":true,"type":"azure","updated":1627686800,"workspace_id":3425838825461482000}]

  - `provider_connectors.connector_ref` (string, required)
    Connector reference in harness platform.
    Example: "bw"

  - `provider_connectors.created` (integer)
    Timestamp when the connector was created.
    Example: 1627590400

  - `provider_connectors.id` (integer)
    ID PK for internal uses
    Example: 6733439495693303000

  - `provider_connectors.terragrunt_provider` (boolean)
    Whether this workspace uses terragrunt to provision infrastructure
    Example: true

  - `provider_connectors.type` (string, required)
    Type indicates the connector type.
    Enum: "aws", "azure", "gcp", "vault"

  - `provider_connectors.updated` (integer)
    Timestamp when the connector was last updated.
    Example: 1627686800

  - `provider_connectors.workspace_id` (integer)
    Workspace ID FK for internal uses
    Example: 2299650550592903700

  - `providers_json` (string)
    providers_json is the identifier of any modules metadata associated with this workspace
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `provisioner` (string, required)
    Provisioner defines the provisioning tool to use.
    Example: "Exercitationem esse aspernatur voluptate qui."

  - `provisioner_configuration` (string)
    Provisioner configuration metadata (key value pair provisioner specific configuration).
    Example: "Quia harum corporis ex qui."

  - `provisioner_data` (string, required)
    Example: "Sed nihil sit est ipsum culpa."

  - `provisioner_version` (string)
    Provisioner Version defines the tool version to use.
    Example: "Quia illo et fugit."

  - `prune_sensitive_data` (boolean)
    prune_sensitive_data is a flag to enable or disable pruning of sensitive data
    Example: true

  - `repository` (string)
    Repository is the name of the repository to use.
    Example: "Magni harum praesentium cum eos quis."

  - `repository_branch` (string)
    Repository Branch in which the code should be accessed.
    Example: "main"

  - `repository_commit` (string)
    Repository Commit/Tag in which the code should be accessed.
    Example: "abc10ed"

  - `repository_connector` (string, required)
    Repository Connector is the reference to the connector to use for this code.
    Example: "Voluptates nemo quasi eos cupiditate."

  - `repository_path` (string)
    Repository Path is the path in which the infra code resides.

  - `repository_sha` (string)
    Repository SHA in which the code should be accessed.
    Example: "abc10ed"

  - `repository_submodules` (string)
    repository_submodules is the instruction about whether to clone submodules in the pipeline step
    Enum: "false", "true", "recursive"

  - `run_all` (boolean)
    Run-All terragrunt modules.
    Example: true

  - `sparse_checkout` (string)
    List of patterens that will be used for sparse checkout option of git clone
    Example: "Qui voluptatem nesciunt voluptas vero explicabo ut."

  - `state_checksum` (string)
    state_checksum is the sha-256 checksum of terraform state file
    Example: "d21c1662d8ce2c74f24efdc8db93eb34473b86810aeccca4b1518f70b0ccde8f"

  - `status` (string, required)
    The status of the workspace
    Enum: "active", "inactive", "provisioning", "destroying", "failed", "unknown", "rollback_applied"

  - `tags` (object, required)
    Tags associated with the workspace.
    Example: {"cost-center":"engineering","environment":"production","team":"platform"}

  - `terraform_plan_json` (string)
    terraform_plan_json is the identifier to the current state file only in JSON format.
    Example: "f9e21473daaa2674d862b67a1339f4570e86de17"

  - `terraform_state` (string)
    terraform_state is the identifier to the plan file used to create the latest state.
    Example: "fc1200c7a7aa52109d762a9f005b149abef01479"

  - `terraform_state_json` (string)
    terraform_state_json is the identifier to the plan file used to create the latest state only in JSON format.
    Example: "c4a2d99bc28d236098a095277b7eb0718d6be068"

  - `terraform_variable_files` (array)
    define an array of terraform variables files that belong to a different repository
    Example: [{"repository":"Rerum ipsam qui velit quo eius.","repository_branch":"main","repository_commit":"abc10ed","repository_connector":"Vel sed ea necessitatibus.","repository_path":"","repository_sha":"abc10ed"},{"repository":"Rerum ipsam qui velit quo eius.","repository_branch":"main","repository_commit":"abc10ed","repository_connector":"Vel sed ea necessitatibus.","repository_path":"","repository_sha":"abc10ed"}]

  - `terraform_variable_files.repository` (string, required)
    Repository is the name of the repository to use.
    Example: "Quo nam possimus."

  - `terraform_variable_files.repository_branch` (string)
    Repository Branch in which the code should be accessed.
    Example: "main"

  - `terraform_variable_files.repository_commit` (string)
    Repository Commit/Tag in which the code should be accessed.
    Example: "abc10ed"

  - `terraform_variable_files.repository_connector` (string)
    Repository Connector is the reference to the connector to use for this code.
    Example: "Voluptatum repellendus soluta veniam voluptas."

  - `terraform_variable_files.repository_path` (string)
    Repository Path is the path in which the infra code resides.

  - `terraform_variable_files.repository_sha` (string)
    Repository SHA in which the code should be accessed.
    Example: "abc10ed"

  - `terraform_variables` (object, required)
    list of terraform variables configured on the workspace.
    Example: {"Et exercitationem est laboriosam rerum quidem rerum.":{"created":6758585511865266000,"key":"tg","updated":2953533946315675600,"value":"Qui quod exercitationem et molestiae.","value_type":"string"},"Voluptatem harum repudiandae tempore aut.":{"created":6758585511865266000,"key":"tg","updated":2953533946315675600,"value":"Qui quod exercitationem et molestiae.","value_type":"string"}}

  - `terragrunt_provider` (boolean)
    Whether this workspace uses terragrunt to provision infrastructure
    Example: true

  - `terragrunt_version` (string)
    Terragrunt Version to use when provisioner is terragrunt.
    Example: "Quia ut repellat."

  - `updated` (integer, required)
    Modified is the unix timestamp at which the resource was last modified in milliseconds.
    Example: 4208784123087062000

  - `variable_sets` (array)
    Attached Variable Sets references
    Example: ["Veritatis ut occaecati dolore distinctio autem consectetur.","Perspiciatis quia.","Voluptatem id voluptas culpa eum ea."]

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


